### Function

# Gio ReallocFunc

#### Declaration

    gpointer
    (* GReallocFunc) (
      gpointer data,
      gsize size
    )

#### Description [src]

Changes the size of the memory block pointed to by `data` to `size` bytes.

The function should have the same semantics as realloc().

#### Parameters

`data`

  Type: `gpointer`

  Memory block to reallocate.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`size`

  Type: `gsize`

  Size to reallocate `data` to.

#### Return value

Type: `gpointer`

A pointer to the reallocated memory.

The data is owned by the called function.
The return value can be `NULL`.